Bug 257991 - devel/p5-Params-Coerce: Update to 0.15
Summary: devel/p5-Params-Coerce: Update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nuno Teixeira
URL: https://metacpan.org/dist/Params-Coer...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-21 21:52 UTC by Sergei Vyshenski
Modified: 2021-08-24 23:19 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (coryking)


Attachments
"git diff" to update the port (1.31 KB, patch)
2021-08-21 21:52 UTC, Sergei Vyshenski
no flags Details | Diff
"git diff" to update the port (1.31 KB, patch)
2021-08-23 18:16 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-08-21 21:52:31 UTC
Created attachment 227358 [details]
"git diff" to update the port

- update 0.14_2 -> 0.15
Changes: https://metacpan.org/dist/Params-Coerce/changes
- request maintainership as Cory R. King seems to be absent for long
- add LICENSE
- add NO_ARCH
- "portlint -AC" says: looks fine.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- Tested with:
13.0-RELEASE-p3
pkg 1.17.1
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1k
ssl=base
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Nuno Teixeira freebsd_committer 2021-08-23 16:27:10 UTC
Hello,

Why did you take maintainership and removed actual maintainer coryking@mozimedia.com?

To do that happens it must be a maintainer timeout > 3 months and do a maintainer reset first.

We will need to wait for maintainer approval first and if he not respond in > 2 weeks then I can commit this update but I cannot pass maintainership to you.

Could you please update patch?
Comment 2 Sergei Vyshenski 2021-08-23 18:16:25 UTC
Created attachment 227386 [details]
"git diff" to update the port

Please find a new patch w/o m-ship transfer.
Please note, that I did not take m-ship, but just requested it,
because this port stays for years w/o proper m-ship.
Requesting of m-ship has been my courtesy for the community.
Now that you deny it, the community stays with virtually 
unmaintained port, which are way too many in the tree.
Comment 3 Nuno Teixeira freebsd_committer 2021-08-23 20:10:37 UTC
(In reply to Sergei Vyshenski from comment #2)
Hello,

I've checked some of actual maintainer ports and there is no activity for some time now.

The right thing to do is to create a PR for maintainer reset and not only for this port but for all port he maintains so other people can take a fresh maintainership.

I didn't deny maintainer transfer, I'm only saying that we need to reset it first so that port can be adopted again.

I will not wait for > 2 weeks timeout to update it.

I will return this port to pool again while I can get some help from other more experienced committers do a maintainer reset.

just a reference, the ports maintained by actual maintainer:
https://www.freshports.org/search.php?stype=maintainer&method=match&query=coryking%40mozimedia.com&num=500&orderby=category&orderbyupdown=asc&search=Search&format=html&branch=head
Comment 4 Sergei Vyshenski 2021-08-23 20:37:50 UTC
(In reply to Nuno Teixeira from comment #3)
Nuno,

Thank you for your concern.
Let me clarify. 
Maybe here we have an example of a bigger problem.
I do not have a goal to collect unattended ports.
I am just concerned about updating dependencies for my main port 
security/p5-openxpki.
It has many hundreds of dependencies 
(if you count test_dependecies, there are around a thousand of them).
And often it is essential that these dependencies be up to date --
for correct work of the named port.
Some maintainers of these dependencies have been not seen 
in the FreeBSD project for 10-15 years.
Often when I try to update a such, I takes months.
With time patches turn obsolete, I have to recreate them.
IMHO this practice is strange and even humiliating.
And maybe it is worth reconsidering.

Regards, Sergei
Comment 5 Nuno Teixeira freebsd_committer 2021-08-23 21:05:37 UTC
(In reply to Sergei Vyshenski from comment #4)
Hello,

You are complete right.

I'm askisg freebsd-ports mailing to see if a more experiened committer takes a look. If it fails I will try a review in phabricator with some luck with my former mentors.
Comment 6 commit-hook freebsd_committer 2021-08-24 22:38:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca88d216ddf3e54f93cba0aea4586f419f0d5d26

commit ca88d216ddf3e54f93cba0aea4586f419f0d5d26
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-08-24 22:25:35 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-08-24 22:37:47 +0000

    devel/p5-Params-Coerce: Update to 0.15, maintainer reset

    ChangeLog: https://metacpan.org/dist/Params-Coerce/changes

     * Submitter takes maintainership.
     * devel/p5-Params-Coerce: maintainer reset

    Many consecutive timeouts.  We thank coryking for all his efforts and
    hope to see him back in the future.

    PR:             257991
    Approved by:    maintainer timeout (coryking@mozimedia.com > 2 months)

 devel/p5-Params-Coerce/Makefile | 10 +++++++---
 devel/p5-Params-Coerce/distinfo |  5 +++--
 2 files changed, 10 insertions(+), 5 deletions(-)
Comment 7 Nuno Teixeira freebsd_committer 2021-08-24 22:45:13 UTC
Hello,

If you have other ports from coryking@mozimedia.com as maintainer that you like to update please mention this PR to a committer. This PR is a maintainer reset/submiter becomes maintainer.

The best thing that I or other committer should do is to investigate all ports from coryking@mozimedia.com and prepare a reset maintainership for that ports.

Committed thanks!
Comment 8 Sergei Vyshenski 2021-08-24 23:19:55 UTC
Nuno,

Thank you very much.
No, other ports of coryking are outside of my field.
But maybe you could have a look on some of my PRs with similar problem from another maintainer,
Jun Kuriyama kuriyama@freebsd.org, 
who is absent for very very long):

#257949
#257823
#257821

Regards, Sergei